import { ProjectParams, ProjectModel } from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  //查询历史记录
  operationList = '/pro/operator/oper-list',
  //添加变更记录
  addItem = '/pro/operator/add-operator',
}

export enum operateType {
  update = '修改',
  add = '新增',
  delete = '删除',
  audit = '审核',
}

export const addItemData = {
  operateType: '',
  businessType: '',
  businessId: null,
};

export const getOperationList = (params?: ProjectParams) =>
  defHttp.get<ProjectModel>({ url: Api.operationList, params });

export const addItemApi = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.addItem,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
